Results 1 to 3 of 3

Thread: Aircrack-ng wasn't compiled with sqlite

  1. #1
    Join Date
    2014-Jan
    Posts
    10

    Aircrack-ng wasn't compiled with sqlite

    I'm trying to run aircrack-ng with an airlolib-ng database. When I try to run aircrack-ng -r databasename I get an error that says: Aircrack-ng wasn't compiled with sqlite support

    Does anybody know how to add sqlite support? Surprised it doesn't come by default in Kali. I ran apt-get dist-upgrade, apt-get upgrade and apt-get update to make sure everything was up to date.

  2. #2
    Join Date
    2014-Jan
    Posts
    10
    Found these instructions on another website:

    apt-get --purge remove aircrack-ng
    apt-get install build-essential
    apt-get install libsqlite3-dev
    wget http://download.aircrack-ng.org/airc...2-beta2.tar.gz
    tar -zxvf aircrack-ng-1.2-beta2.tar.gz
    cd aircrack-ng-1.2-beta2
    make sqlite=true
    make sqlite=true install

    All appears to be working now!
    Last edited by PlasmaWaffle; 2014-03-16 at 00:54.

  3. #3
    Thanks man I was like *** is not supposed to kali is ready for this ...

Similar Threads

  1. Replies: 2
    Last Post: 2017-09-24, 16:06
  2. dkms module of virtualbox-guest-x11-4.3.18 can't be compiled?
    By easior in forum TroubleShooting Archive
    Replies: 0
    Last Post: 2015-03-13, 12:59
  3. Raspberry Pi Image (Custom Cross-Compiled Kernel w/IPTables support)
    By Binary Overlord in forum Building Archive
    Replies: 0
    Last Post: 2013-11-04, 22:28

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •